Page MenuHomePhabricator

"MediaWiki:Enotif body" should support GENDER
Open, Needs TriagePublic

Description

Currently, MediaWiki:Enotif body does not support GENDER.

In some languages, the text of this e-mail varies according to the gender of the receiver, so this is very important for GENDER to work.

Event Timeline

Guycn2 created this task.Sep 13 2016, 7:21 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 13 2016, 7:21 PM

There was T31170, however, this seems unlikely to be happen before 2017 because of T24769. Suggest to mark as "stalled" (and wish this to be resolved in 2017)?

There was T31170, however, this seems unlikely to be happen before 2017 because of T24769. Suggest to mark as "stalled" (and wish this to be resolved in 2017)?

@Liuxinyu970226, Are you sure it can't be done? In Hebrew, for example, we need to use a very unnatural phrase due to the lack of {{GENDER}} support...

There was T31170, however, this seems unlikely to be happen before 2017 because of T24769. Suggest to mark as "stalled" (and wish this to be resolved in 2017)?

@Liuxinyu970226, Are you sure it can't be done? In Hebrew, for example, we need to use a very unnatural phrase due to the lack of {{GENDER}} support...

OK, I'm somewhat agree with you, this message is not touched by developers for years, but if this one of your wishlist results the GENDER tag in that message to be directly shown (a.k.a exposed) rather than passed such parameter, i.e. something like this (sorry for using an *unrelated* wlheader-showupdated as example):


Is this still works for you?

Guycn2 added a comment.EditedSep 16 2016, 10:09 PM

@Liuxinyu970226, the word "you" always stays the same in Hebrew, regardless of the reader's gender.

However, the "enotif body" e-mail uses lots of words that vary according to the gender.

Amire80 moved this task from Untriaged to Gender on the I18n board.Feb 4 2018, 10:35 AM